// In this sketch, animated dots change size and move until they reach the sides of the sketch
// Animation is done with vectors
// This is inspired by Oskar Fischinger's "An Optical Poem"

int dotCount = 40; // Set the number of dots
ArrayList<Dot> dotList; // Make a list of Dot objects

void setup() {
  size(800, 800);
  
  // Place the Dots by their center since they are ellipses
  ellipseMode(CENTER);
  
  dotList = new ArrayList<Dot>();
  
  // Create all of the dots
  for (int i = 0; i < dotCount; i++) {
    dotList.add(new Dot());
  }
}

void draw() {
  background(255);
  
  // Don't put a line around our Dots
  noStroke();
  
  // Go through the list to show each Dot object
  for (int i = 0; i < dotCount; i++) {
    Dot d = dotList.get(i);
    d.show(1);
  }
}
